classification
Title: Collect garbage harder at shutdown
Type: resource usage Stage: resolved
Components: Interpreter Core Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pitrou, python-dev
Priority: low Keywords: patch

Created on 2013-05-08 21:14 by pitrou, last changed 2013-05-18 23:14 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
gc_hard.patch pitrou, 2013-05-08 21:14 review
Messages (3)
msg188736 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-05-08 21:14
This is a patch to collect cyclic garbage one more time when all modules have been cleared.
msg188939 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-05-11 18:23
I was asked what this patch did exactly: it simply calls the garbage collector one last time after sys.modules has been cleared. I don't know it it makes much of a difference, but it may limit the amount of leaking when doing successive Py_Initialize/Py_Finalize calls.
msg189561 - (view) Author: Roundup Robot (python-dev) Date: 2013-05-18 23:12
New changeset 5abe85aefe29 by Antoine Pitrou in branch 'default':
Issue #17937: Try harder to collect cyclic garbage at shutdown.
http://hg.python.org/cpython/rev/5abe85aefe29
History
Date User Action Args
2013-05-18 23:14:15pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-05-18 23:12:20python-devsetnosy: + python-dev
messages: + msg189561
2013-05-11 18:23:32pitrousetmessages: + msg188939
2013-05-08 21:14:26pitroucreate